
package com.tmerclub.cloud.api.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 分类签约信息
 *
 * @author lhd
 */
public class HandleCategoryShopDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "主键Id")
    private List<CategoryShopDTO> categoryShopDTOList;

    @Schema(description = "系统类型 1.商家端 2.平台端 3.供应商端")
    private Integer sysType;

    @Schema(description = "店铺/供应商id")
    private Long shopId;

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public List<CategoryShopDTO> getCategoryShopDTOList() {
        return categoryShopDTOList;
    }

    public void setCategoryShopDTOList(List<CategoryShopDTO> categoryShopDTOList) {
        this.categoryShopDTOList = categoryShopDTOList;
    }

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    @Override
    public String toString() {
        return "HandleCategoryShopDTO{" +
                "categoryShopDTOList=" + categoryShopDTOList +
                ", sysType=" + sysType +
                ", shopId=" + shopId +
                '}';
    }
}

